logiz3=bool("Beta")

strk1=str(23.6)
print(f"{strk1}\n")

strk2=str(logiz3)
print(f"{strk2}\n")

strk3=str(["A","B","C"])  #Преобразуем список
print(f"{strk3}\n")

strk4=str(("A","B","C"))  #Преобразуем кортеж
print(f"{strk4}\n")

strk5=str({"A":1,"B":2,"C":9})  #Преобразуем словарь
print(f"{strk5}\n")




spis1=list("Строка символов")  #Заданная строка разделяется на символы
print(f"{spis1}\n")

spis2=list((124,236,-15,908))   #Кортеж превращается в список
print(f"{spis2}\n")

spis3=list({"A":1,"B":2,"C":9})  #Преобразование словаря в список
print(f"{spis3}\n")

spis3=list({"A":1,"B":2,"C":9}.items())  #Преобразование словаря в список
print(f"{spis3}\n")



kort7=tuple('Строка символов')  #Преобразование строки символов в кортеж8
print(f"{kort7}\n")

kort8=tuple(spis2)   #Преобразование списка в кортеж 
print(f"{kort8}\n")

kort9=tuple({"A":1,"B":2,"C":9})   #Преобразование словаря в кортеж
print(f"{kort9}\n")




print(f"Объекты в пространстве до удаления:\n{dir()}\n")
del strk5, kort8
print(f"Объекты в пространстве после удаления:\n{dir()}\n")




name="TerekhovFV"
print(f"{name}\n{type(name)}\n")

list_name=list(name)
print(f"{list_name}\n{type(list_name)}\n")

tuple_name=tuple(list_name)
print(f"{tuple_name}\n{type(tuple_name)}\n")

string_name=str(tuple_name)
print(f"{string_name}\n{type(string_name)}\n")